aboutsummaryrefslogtreecommitdiffstats
path: root/main/wayland
diff options
context:
space:
mode:
Diffstat (limited to 'main/wayland')
-rw-r--r--main/wayland/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/main/wayland/APKBUILD b/main/wayland/APKBUILD
new file mode 100644
index 0000000000..2d8d61ed0a
--- /dev/null
+++ b/main/wayland/APKBUILD
@@ -0,0 +1,34 @@
+# Maintainer:
+# Contributor: Bartłomiej Piotrowski <bpiotrowski@alpinelinux.org>
+
+pkgname=wayland
+pkgver=1.4.0
+pkgrel=0
+pkgdesc='A computer display server protocol'
+arch=all
+url='http://wayland.freedesktop.org'
+license='MIT'
+depends=
+makedepends='doxygen libffi-dev expat-dev findutils'
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://wayland.freedesktop.org/releases/$pkgname-$pkgver.tar.xz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --disable-static || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+ find "$pkgdir" -name \*.la -delete || return 1
+}
+
+md5sums="332cf9191837be12638a29265ed7cf46 wayland-1.4.0.tar.xz"
+sha256sums="18f33b9f15b4c8b662fb1968e7636e7926b419dfc48de8a164b3a3d7095c5a58 wayland-1.4.0.tar.xz"
+sha512sums="0d8af3780bd56062efda2fe92f54e61b8ad03b544a771ddd91971dfc461cf5a98845f94512bf96b8191a6e18ca2b50b77323d65a86a4a69aecd2ba1944113743 wayland-1.4.0.tar.xz"